Subject: Re: bug#48404: 28.0.50; "Invalid version syntax" errors with read-extended-command

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 17 May 2021 15:54:43 +0200

Eli Zaretskii <[email-masked]> writes:

>> >> (version-to-list "28.1 Magit/2.5")
>> >
>> > I'm not sure it's possible without introducing ambiguity into the
>> > version string and complicating comparison of versions.  We already
>> > support some non-numeric versions, and that's not easy.
>> 
>> Sorry, I was imprecise here -- I didn't mean that we should change
>> `version-to-list' itself here, but add a new function that's more
>> permissive, just for use in this context.  It would basically be
>> something along the lines of (version-to-list (car (split-string string))) 
>
> The main purpose is to compare versions.  How would you do that with
> loose version strings such as the one above?

We're looking at the Emacs version (which we'd put first in the version
string, while the rest is essentially a free text used as a comment).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no